broken catalyst 3.0_rc1

classic Classic list List threaded Threaded
7 messages Options
Reply | Threaded
Open this post in threaded view
|

broken catalyst 3.0_rc1

John Covici
Hi.  I am getting the error none type is not iterable  when starting a
stage2-minimal and I saw someone had this bug in March of this year.
Any fix?  Should I try the 9999 version instead, although he said he
tried git with no joy?

Thanks in advance for any suggestions.

--
Your life is like a penny.  You're going to lose it.  The question is:
How do
you spend it?

         John Covici
         [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: broken catalyst 3.0_rc1

Brian Dolbec-3
On Tue, 11 Oct 2016 15:35:07 -0400
John Covici <[hidden email]> wrote:

> Hi.  I am getting the error none type is not iterable  when starting a
> stage2-minimal and I saw someone had this bug in March of this year.
> Any fix?  Should I try the 9999 version instead, although he said he
> tried git with no joy?
>
> Thanks in advance for any suggestions.
>

Yeah, 9999 should be good.  I really need to get another release out.

If you still have the issue please let me know.

--
Brian Dolbec <dolsen>


Reply | Threaded
Open this post in threaded view
|

Re: broken catalyst 3.0_rc1

John Covici
OK, thanks I will try that.

On Tue, 11 Oct 2016 15:59:33 -0400,
Brian Dolbec wrote:

>
> On Tue, 11 Oct 2016 15:35:07 -0400
> John Covici <[hidden email]> wrote:
>
> > Hi.  I am getting the error none type is not iterable  when starting a
> > stage2-minimal and I saw someone had this bug in March of this year.
> > Any fix?  Should I try the 9999 version instead, although he said he
> > tried git with no joy?
> >
> > Thanks in advance for any suggestions.
> >
>
> Yeah, 9999 should be good.  I really need to get another release out.
>
> If you still have the issue please let me know.
>
> --
> Brian Dolbec <dolsen>
>
>

--
Your life is like a penny.  You're going to lose it.  The question is:
How do
you spend it?

         John Covici
         [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: broken catalyst 3.0_rc1

John Covici
In reply to this post by Brian Dolbec-3
OK, so that particular error was fixed, but I am running into somekind
of problem and I can't even see what is happening.  I have some
packages which need to be emerged after the kernel is compiled, but I
get a terse statement that call back failed, even setting --loglevel=5
in the genkernel argument does not help.  So, how can I see what is
happening inside the callback?  I even put verbose on the emerge but
the output disappears.

Thanks in advance for any suggestions.

p.s. Looks like there are some python problems also, see below

*   BUSYBOX_CONFIG not set.
*   INSTALL defaulted to "yes".
*   DEBUGCLEANUP defaulted to "yes".
* KERNEL_ARCH=x86
*
* ERROR: --callback failed!
*
* -- End log... --
*
* Please consult /var/log/genkernel.log for more information and any
* errors that were reported above.
*
* Report any genkernel bugs to bugs.gentoo.org and
* assign your bug to [hidden email]. Please include
* as much information as you can in your bug report; attaching
* /var/log/genkernel.log so that your issue can be dealt with
* effectively.
*
* Please do *not* report compilation failures as genkernel bugs!
*
12 Oct 2016 01:47:09 EDT: ERROR   : CatalystError:
cmd(['/usr/share/catalyst/targets/livecd-stage2/livecd-stage2-controller.sh',
'kernel', 'gentoo']) exited 1
12 Oct 2016 01:47:09 EDT: ERROR   : CatalystError: build aborting due
to kernel build error.
Traceback (most recent call last):
  File
  "/usr/lib64/python3.4/site-packages/catalyst/base/stagebase.py",
  line 1512, in build_kernel
      self._build_kernel(kname=kname)
           File
           "/usr/lib64/python3.4/site-packages/catalyst/base/stagebase.py",
           line 1548, in _build_kernel
               env=self.env)
                    File
                    "/usr/lib64/python3.4/site-packages/catalyst/support.py",
                    line 54, in cmd
                        print_traceback=False)
                           catalyst.support.CatalystError:
                           cmd(['/usr/share/catalyst/targets/livecd-stage2/livecd-stage2-controller.sh',
                           'kernel', 'gentoo']) exited 1
                           12 Oct 2016 01:47:09 EDT: ERROR   : Exception
                           running action sequence build_kernel
                           Traceback (most recent call last):
                             File
                                "/usr/lib64/python3.4/site-packages/catalyst/base/stagebase.py",
                                line 1512, in build_kernel
                                    self._build_kernel(kname=kname)
                                      File
                                         "/usr/lib64/python3.4/site-packages/catalyst/base/stagebase.py",
                                         line 1548, in _build_kernel
                                             env=self.env)
                                                  File
                                                  "/usr/lib64/python3.4/site-packages/catalyst/support.py",
                                                  line 54, in cmd
                                                      print_traceback=False)
                                                         catalyst.support.CatalystError:
                                                         cmd(['/usr/share/catalyst/targets/livecd-stage2/livecd-stage2-controller.sh',
                                                         'kernel', 'gentoo']) exited 1

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File
  "/usr/lib64/python3.4/site-packages/catalyst/base/stagebase.py",
  line 1395, in run
      getattr(self, x)()
           File
  "/usr/lib64/python3.4/site-packages/catalyst/base/stagebase.py",
  line 1518, in build_kernel
      print_traceback=True)
         catalyst.support.CatalystError: build aborting due to kernel
  build error.
  12 Oct 2016 01:47:09 EDT: NOTICE  : Cleaning up... Running unbind()
 
On Tue, 11 Oct 2016 15:59:33 -0400,
Brian Dolbec wrote:

>
> On Tue, 11 Oct 2016 15:35:07 -0400
> John Covici <[hidden email]> wrote:
>
> > Hi.  I am getting the error none type is not iterable  when starting a
> > stage2-minimal and I saw someone had this bug in March of this year.
> > Any fix?  Should I try the 9999 version instead, although he said he
> > tried git with no joy?
> >
> > Thanks in advance for any suggestions.
> >
>
> Yeah, 9999 should be good.  I really need to get another release out.
>
> If you still have the issue please let me know.
>
> --
> Brian Dolbec <dolsen>
>
>

--
Your life is like a penny.  You're going to lose it.  The question is:
How do
you spend it?

         John Covici
         [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: broken catalyst 3.0_rc1

Brian Dolbec-3
On Wed, 12 Oct 2016 02:49:14 -0400
John Covici <[hidden email]> wrote:

> OK, so that particular error was fixed, but I am running into somekind
> of problem and I can't even see what is happening.  I have some
> packages which need to be emerged after the kernel is compiled, but I
> get a terse statement that call back failed, even setting --loglevel=5
> in the genkernel argument does not help.  So, how can I see what is
> happening inside the callback?  I even put verbose on the emerge but
> the output disappears.
>
> Thanks in advance for any suggestions.
>
> p.s. Looks like there are some python problems also, see below

No, those are normal errors caused by the genkernel failure.  Otherwise
catalyst might hide the some facts of the failure.  It helps when we
are making code changes to catalyst in case of a catalyst bug.  But
this time it is not catalyst, but a genkernel/kernel build problem.

Sorry, but I'm not a kernel guru, perhaps some of the others here will
know what the problem is.

>
> *   BUSYBOX_CONFIG not set.
> *   INSTALL defaulted to "yes".
> *   DEBUGCLEANUP defaulted to "yes".
> * KERNEL_ARCH=x86
> *
> * ERROR: --callback failed!
> *
> * -- End log... --
> *
> * Please consult /var/log/genkernel.log for more information and any
> * errors that were reported above.
> *
> * Report any genkernel bugs to bugs.gentoo.org and
> * assign your bug to [hidden email]. Please include
> * as much information as you can in your bug report; attaching
> * /var/log/genkernel.log so that your issue can be dealt with
> * effectively.
> *
> * Please do *not* report compilation failures as genkernel bugs!
> *
> 12 Oct 2016 01:47:09 EDT: ERROR   : CatalystError:
> cmd(['/usr/share/catalyst/targets/livecd-stage2/livecd-stage2-controller.sh',
> 'kernel', 'gentoo']) exited 1
> 12 Oct 2016 01:47:09 EDT: ERROR   : CatalystError: build aborting due
> to kernel build error.
> Traceback (most recent call last):
>   File
>   "/usr/lib64/python3.4/site-packages/catalyst/base/stagebase.py",
>   line 1512, in build_kernel
>       self._build_kernel(kname=kname)
>   File
>   "/usr/lib64/python3.4/site-packages/catalyst/base/stagebase.py",
>   line 1548, in _build_kernel
>       env=self.env)
>    File
>    "/usr/lib64/python3.4/site-packages/catalyst/support.py",
>    line 54, in cmd
>        print_traceback=False)
>   catalyst.support.CatalystError:
>   cmd(['/usr/share/catalyst/targets/livecd-stage2/livecd-stage2-controller.sh',
>   'kernel', 'gentoo']) exited 1
>   12 Oct 2016 01:47:09 EDT: ERROR   :
> Exception running action sequence build_kernel
>   Traceback (most recent call last):
>     File
> "/usr/lib64/python3.4/site-packages/catalyst/base/stagebase.py",
> line 1512, in build_kernel
>    self._build_kernel(kname=kname)
>      File
> "/usr/lib64/python3.4/site-packages/catalyst/base/stagebase.py",
> line 1548, in _build_kernel
>     env=self.env)
>  File
>  "/usr/lib64/python3.4/site-packages/catalyst/support.py",
>  line 54, in cmd
>      print_traceback=False)
> catalyst.support.CatalystError:
> cmd(['/usr/share/catalyst/targets/livecd-stage2/livecd-stage2-controller.sh',
> 'kernel',
> 'gentoo']) exited 1
>
> During handling of the above exception, another exception occurred:
>
> Traceback (most recent call last):
>   File
>   "/usr/lib64/python3.4/site-packages/catalyst/base/stagebase.py",
>   line 1395, in run
>       getattr(self, x)()
>   File
>   "/usr/lib64/python3.4/site-packages/catalyst/base/stagebase.py",
>   line 1518, in build_kernel
>       print_traceback=True)
> catalyst.support.CatalystError: build aborting due to kernel
>   build error.
>   12 Oct 2016 01:47:09 EDT: NOTICE  : Cleaning up... Running unbind()
>  
> On Tue, 11 Oct 2016 15:59:33 -0400,
> Brian Dolbec wrote:
> >
> > On Tue, 11 Oct 2016 15:35:07 -0400
> > John Covici <[hidden email]> wrote:
> >  
> > > Hi.  I am getting the error none type is not iterable  when
> > > starting a stage2-minimal and I saw someone had this bug in March
> > > of this year. Any fix?  Should I try the 9999 version instead,
> > > although he said he tried git with no joy?
> > >
> > > Thanks in advance for any suggestions.
> > >  
> >
> > Yeah, 9999 should be good.  I really need to get another release
> > out.
> >
> > If you still have the issue please let me know.
> >
> > --
> > Brian Dolbec <dolsen>
> >
> >  
>



--
Brian Dolbec <dolsen>


Reply | Threaded
Open this post in threaded view
|

Re: broken catalyst 3.0_rc1

John Covici
So my main question is how can I see inside the callback, clearly the
emerge is failing, but I need to see it in order to fix it.

On Wed, 12 Oct 2016 12:54:14 -0400,
Brian Dolbec wrote:

>
> On Wed, 12 Oct 2016 02:49:14 -0400
> John Covici <[hidden email]> wrote:
>
> > OK, so that particular error was fixed, but I am running into somekind
> > of problem and I can't even see what is happening.  I have some
> > packages which need to be emerged after the kernel is compiled, but I
> > get a terse statement that call back failed, even setting --loglevel=5
> > in the genkernel argument does not help.  So, how can I see what is
> > happening inside the callback?  I even put verbose on the emerge but
> > the output disappears.
> >
> > Thanks in advance for any suggestions.
> >
> > p.s. Looks like there are some python problems also, see below
>
> No, those are normal errors caused by the genkernel failure.  Otherwise
> catalyst might hide the some facts of the failure.  It helps when we
> are making code changes to catalyst in case of a catalyst bug.  But
> this time it is not catalyst, but a genkernel/kernel build problem.
>
> Sorry, but I'm not a kernel guru, perhaps some of the others here will
> know what the problem is.
>
> >
> > *   BUSYBOX_CONFIG not set.
> > *   INSTALL defaulted to "yes".
> > *   DEBUGCLEANUP defaulted to "yes".
> > * KERNEL_ARCH=x86
> > *
> > * ERROR: --callback failed!
> > *
> > * -- End log... --
> > *
> > * Please consult /var/log/genkernel.log for more information and any
> > * errors that were reported above.
> > *
> > * Report any genkernel bugs to bugs.gentoo.org and
> > * assign your bug to [hidden email]. Please include
> > * as much information as you can in your bug report; attaching
> > * /var/log/genkernel.log so that your issue can be dealt with
> > * effectively.
> > *
> > * Please do *not* report compilation failures as genkernel bugs!
> > *
> > 12 Oct 2016 01:47:09 EDT: ERROR   : CatalystError:
> > cmd(['/usr/share/catalyst/targets/livecd-stage2/livecd-stage2-controller.sh',
> > 'kernel', 'gentoo']) exited 1
> > 12 Oct 2016 01:47:09 EDT: ERROR   : CatalystError: build aborting due
> > to kernel build error.
> > Traceback (most recent call last):
> >   File
> >   "/usr/lib64/python3.4/site-packages/catalyst/base/stagebase.py",
> >   line 1512, in build_kernel
> >       self._build_kernel(kname=kname)
> >   File
> >   "/usr/lib64/python3.4/site-packages/catalyst/base/stagebase.py",
> >   line 1548, in _build_kernel
> >       env=self.env)
> >    File
> >    "/usr/lib64/python3.4/site-packages/catalyst/support.py",
> >    line 54, in cmd
> >        print_traceback=False)
> >   catalyst.support.CatalystError:
> >   cmd(['/usr/share/catalyst/targets/livecd-stage2/livecd-stage2-controller.sh',
> >   'kernel', 'gentoo']) exited 1
> >   12 Oct 2016 01:47:09 EDT: ERROR   :
> > Exception running action sequence build_kernel
> >   Traceback (most recent call last):
> >     File
> > "/usr/lib64/python3.4/site-packages/catalyst/base/stagebase.py",
> > line 1512, in build_kernel
> >    self._build_kernel(kname=kname)
> >      File
> > "/usr/lib64/python3.4/site-packages/catalyst/base/stagebase.py",
> > line 1548, in _build_kernel
> >     env=self.env)
> >  File
> >  "/usr/lib64/python3.4/site-packages/catalyst/support.py",
> >  line 54, in cmd
> >      print_traceback=False)
> > catalyst.support.CatalystError:
> > cmd(['/usr/share/catalyst/targets/livecd-stage2/livecd-stage2-controller.sh',
> > 'kernel',
> > 'gentoo']) exited 1
> >
> > During handling of the above exception, another exception occurred:
> >
> > Traceback (most recent call last):
> >   File
> >   "/usr/lib64/python3.4/site-packages/catalyst/base/stagebase.py",
> >   line 1395, in run
> >       getattr(self, x)()
> >   File
> >   "/usr/lib64/python3.4/site-packages/catalyst/base/stagebase.py",
> >   line 1518, in build_kernel
> >       print_traceback=True)
> > catalyst.support.CatalystError: build aborting due to kernel
> >   build error.
> >   12 Oct 2016 01:47:09 EDT: NOTICE  : Cleaning up... Running unbind()
> >  
> > On Tue, 11 Oct 2016 15:59:33 -0400,
> > Brian Dolbec wrote:
> > >
> > > On Tue, 11 Oct 2016 15:35:07 -0400
> > > John Covici <[hidden email]> wrote:
> > >  
> > > > Hi.  I am getting the error none type is not iterable  when
> > > > starting a stage2-minimal and I saw someone had this bug in March
> > > > of this year. Any fix?  Should I try the 9999 version instead,
> > > > although he said he tried git with no joy?
> > > >
> > > > Thanks in advance for any suggestions.
> > > >  
> > >
> > > Yeah, 9999 should be good.  I really need to get another release
> > > out.
> > >
> > > If you still have the issue please let me know.
> > >
> > > --
> > > Brian Dolbec <dolsen>
> > >
> > >  
> >
>
>
>
> --
> Brian Dolbec <dolsen>
>
>

--
Your life is like a penny.  You're going to lose it.  The question is:
How do
you spend it?

         John Covici
         [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: broken catalyst 3.0_rc1

John Covici
In reply to this post by Brian Dolbec-3
I discovered that I had to increase the space on the fat file system
of the ISO because using a newer kernel the efiimage was 11m instead
of the old value.  I am not sure why the calculation in the shell
script did not work, but it was definitely not adequate.


On Tue, 11 Oct 2016 15:59:33 -0400,
Brian Dolbec wrote:

>
> On Tue, 11 Oct 2016 15:35:07 -0400
> John Covici <[hidden email]> wrote:
>
> > Hi.  I am getting the error none type is not iterable  when starting a
> > stage2-minimal and I saw someone had this bug in March of this year.
> > Any fix?  Should I try the 9999 version instead, although he said he
> > tried git with no joy?
> >
> > Thanks in advance for any suggestions.
> >
>
> Yeah, 9999 should be good.  I really need to get another release out.
>
> If you still have the issue please let me know.
>
> --
> Brian Dolbec <dolsen>
>
>

--
Your life is like a penny.  You're going to lose it.  The question is:
How do
you spend it?

         John Covici
         [hidden email]